Categories:
  - System
License: GPL-2.0-or-later
SourceCode: https://github.com/Tortel/SysLog
IssueTracker: https://github.com/Tortel/SysLog/issues
Changelog: https://github.com/Tortel/SysLog/blob/HEAD/Changelog.md

AutoName: SysLog
Description: |-
    Records various log types and compresses them as a zip file.
    The logs are saved in the application's private cache directory
    named by the date and time.

    You can access the zip files through the system document picker
    - Select the SysLog app to view collected log zips.

    Log types supported:

    * Kernel logs (dmsg)
    * Last kernel log (last_kmsg, if device supports it)
    * Main log (Logcat)
    * Modem log
    * Event logs
    * SELinux audit logs

    To enable access to some logs (Logcat and Radio) to SysLog, you
    will need to grant the READ_LOGS permision using a computer with
    ADB.

    From a command line with adb available, you can grant the READ_LOGS
    permission via the following command:

    adb shell pm grant com.tortel.syslog android.permission.READ_LOGS

    This command tells the phone's package manager to grant the
    READ_LOGS permission to SysLog.

RepoType: git
Repo: https://github.com/Tortel/SysLog.git

Builds:
  - versionName: 1.9.0
    versionCode: 19
    commit: 3807e4a82ab8a0cea3be0534a7b85d522f5a8d00
    subdir: app
    gradle:
      - yes

  - versionName: 1.9.1
    versionCode: 20
    commit: v1.9.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.0
    versionCode: 21
    commit: v2.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.1
    versionCode: 22
    commit: v2.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.2
    versionCode: 23
    commit: v2.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 24
    commit: v2.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.2
    versionCode: 26
    commit: v2.1.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.4
    versionCode: 28
    commit: v2.1.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.5
    versionCode: 29
    commit: v2.1.5
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.6
    versionCode: 30
    commit: v2.1.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 31
    commit: v2.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.1
    versionCode: 32
    commit: v2.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.0
    versionCode: 33
    commit: v2.3.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.1
    versionCode: 35
    commit: v2.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.2
    versionCode: 36
    commit: cf81cbea0c445eadc3216ca0118984679f3e13ee
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

MaintainerNotes: This is GPLv2+ as given in the sourcecode, root LICENSE file is just
    GPLv2/2+ license text.

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.4.2
CurrentVersionCode: 36
